Bug 488338 - start/stop scripts should list all the available port numbers with their functionality
start/stop scripts should list all the available port numbers with their func...
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Installer (pkicreate/pkiremove) (Show other bugs)
1.0
All Linux
urgent Severity medium
: 1.0
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-03-03 14:03 EST by Asha Akkiangady
Modified: 2015-01-04 18:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:32:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GUI Chkconfig for Ports (50.80 KB, patch)
2009-03-12 23:08 EDT, Matthew Harmsen
no flags Details | Diff
GUI Chkconfig for Ports (spec files) (8.57 KB, patch)
2009-03-12 23:09 EDT, Matthew Harmsen
no flags Details | Diff
Added status to start and pkicreate variables to CS.cfg (8.41 KB, patch)
2009-04-22 20:47 EDT, Matthew Harmsen
no flags Details | Diff
Added status to start and pkicreate variables to CS.cfg (spec files) (6.67 KB, patch)
2009-04-22 20:48 EDT, Matthew Harmsen
no flags Details | Diff

  None (edit)
Description Asha Akkiangady 2009-03-03 14:03:57 EST
Description of problem:
pkicreate should list all the available port numbers with its functionality.

Version-Release number of selected component (if applicable):
8.0

How reproducible:
Always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:

Additional info:
This will help users to figure out proper port number for the functionality, for example: tps url to set phone home for smart card formatting.
Comment 1 Matthew Harmsen 2009-03-11 17:55:17 EDT
Discussed this bug with aakkiang@redhat.com and kevinu@redhat.com.  It was determined that having a graphical means of presenting this information to a user would be a better way of achieving this goal.

For now, all "default" ports of the various PKI subsystems have been documented at 
https://wiki.idm.lab.bos.redhat.com/export/idmwiki/PKI_Default_Ports.

This will be addressed in a later version of this product, and may be able to become a part of this bug:

https://bugzilla.redhat.com/show_bug.cgi?id=440164
Comment 2 Matthew Harmsen 2009-03-11 20:57:02 EDT
Reconsidered -- this will now be handled via the start/stop script calling "status" (and will also be displayed "graphically" via the Linux Services Configuration console documented in https://bugzilla.redhat.com/show_bug.cgi?id=440164 -- command-line invocation is system-config-services).
Comment 3 Matthew Harmsen 2009-03-12 23:08:49 EDT
Created attachment 335049 [details]
GUI Chkconfig for Ports
Comment 4 Matthew Harmsen 2009-03-12 23:09:41 EDT
Created attachment 335050 [details]
GUI Chkconfig for Ports (spec files)
Comment 5 Andrew Wnuk 2009-03-13 12:43:33 EDT
attachment (id=335049)
attachment (id=335050)
+awnuk
Comment 6 Matthew Harmsen 2009-03-13 12:54:58 EDT
cd pki/base

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      ca/shared/conf/server.xml
M      ca/shared/etc/init.d/httpd
M      common/src/com/netscape/cms/servlet/csadmin/DonePanel.java
M      setup/pkicreate
M      tks/shared/conf/server.xml
M      tks/shared/etc/init.d/httpd
M      ra/lib/perl/PKI/RA/DonePanel.pm
M      ra/etc/init.d/httpd
M      ocsp/shared/conf/server.xml
M      ocsp/shared/etc/init.d/httpd
M      tps/lib/perl/PKI/TPS/DonePanel.pm
M      tps/etc/init.d/httpd
M      kra/shared/conf/server.xml
M      kra/shared/etc/init.d/httpd

% svn commit
Sending        base/ca/shared/conf/server.xml
Sending        base/ca/shared/etc/init.d/httpd
Sending        base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java
Sending        base/kra/shared/conf/server.xml
Sending        base/kra/shared/etc/init.d/httpd
Sending        base/ocsp/shared/conf/server.xml
Sending        base/ocsp/shared/etc/init.d/httpd
Sending        base/ra/etc/init.d/httpd
Sending        base/ra/lib/perl/PKI/RA/DonePanel.pm
Sending        base/setup/pkicreate
Sending        base/tks/shared/conf/server.xml
Sending        base/tks/shared/etc/init.d/httpd
Sending        base/tps/etc/init.d/httpd
Sending        base/tps/lib/perl/PKI/TPS/DonePanel.pm
Transmitting file data ..............
Committed revision 297.



cd pki/dogtag

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      ca/pki-ca.spec
M      common/pki-common.spec
M      setup/pki-setup.spec
M      tks/pki-tks.spec
M      ra/pki-ra.spec
M      ocsp/pki-ocsp.spec
M      tps/pki-tps.spec
M      kra/pki-kra.spec

% svn commit
Sending        dogtag/ca/pki-ca.spec
Sending        dogtag/common/pki-common.spec
Sending        dogtag/kra/pki-kra.spec
Sending        dogtag/ocsp/pki-ocsp.spec
Sending        dogtag/ra/pki-ra.spec
Sending        dogtag/setup/pki-setup.spec
Sending        dogtag/tks/pki-tks.spec
Sending        dogtag/tps/pki-tps.spec
Transmitting file data ........
Committed revision 298.
Comment 7 Matthew Harmsen 2009-04-22 20:47:51 EDT
Created attachment 340852 [details]
Added status to start and pkicreate variables to CS.cfg
Comment 8 Matthew Harmsen 2009-04-22 20:48:27 EDT
Created attachment 340853 [details]
Added status to start and pkicreate variables to CS.cfg (spec files)
Comment 9 Jack Magne 2009-04-22 20:53:56 EDT
Attachments (id=340852) (id=340853) +jmagne.
Comment 10 Matthew Harmsen 2009-04-22 20:59:15 EDT
cd pki/base

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      ca/shared/conf/CS.cfg
M      ca/shared/etc/init.d/httpd
M      setup/pkicreate
M      tks/shared/conf/CS.cfg
M      tks/shared/etc/init.d/httpd
M      ra/doc/CS.cfg
M      ra/etc/init.d/httpd
M      ocsp/shared/conf/CS.cfg
M      ocsp/shared/etc/init.d/httpd
M      tps/doc/CS.cfg
M      tps/etc/init.d/httpd
M      kra/shared/conf/CS.cfg
M      kra/shared/etc/init.d/httpd

% svn commit
Sending        base/ca/shared/conf/CS.cfg
Sending        base/ca/shared/etc/init.d/httpd
Sending        base/kra/shared/conf/CS.cfg
Sending        base/kra/shared/etc/init.d/httpd
Sending        base/ocsp/shared/conf/CS.cfg
Sending        base/ocsp/shared/etc/init.d/httpd
Sending        base/ra/doc/CS.cfg
Sending        base/ra/etc/init.d/httpd
Sending        base/setup/pkicreate
Sending        base/tks/shared/conf/CS.cfg
Sending        base/tks/shared/etc/init.d/httpd
Sending        base/tps/doc/CS.cfg
Sending        base/tps/etc/init.d/httpd
Transmitting file data .............
Committed revision 411.



cd pki/dogtag

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?

M      ca/pki-ca.spec
M      setup/pki-setup.spec
M      tks/pki-tks.spec
M      ra/pki-ra.spec
M      ocsp/pki-ocsp.spec
M      tps/pki-tps.spec
M      kra/pki-kra.spec

% svn commit
Sending        dogtag/ca/pki-ca.spec
Sending        dogtag/kra/pki-kra.spec
Sending        dogtag/ocsp/pki-ocsp.spec
Sending        dogtag/ra/pki-ra.spec
Sending        dogtag/setup/pki-setup.spec
Sending        dogtag/tks/pki-tks.spec
Sending        dogtag/tps/pki-tps.spec
Transmitting file data .......
Committed revision 412.
Comment 11 Jenny Galipeau 2009-05-29 15:43:05 EDT
Verified.

Configuration URLs are display on initial installation and pkicreate.  Stop and start of services displays urls with ports.

[root@qe-blade-11 jgalipea]# service pki-ca restart
Stopping pki-ca: ...............................           [  OK  ]
Starting pki-ca:                                           [  OK  ]

pki-ca (pid 12186) is running ...

    Unsecure Port     = http://qe-blade-11.idm.lab.bos.redhat.com:9180/ca/ee/ca
    Secure Agent Port = https://qe-blade-11.idm.lab.bos.redhat.com:9443/ca/agent/ca
    Secure EE Port    = https://qe-blade-11.idm.lab.bos.redhat.com:9444/ca/ee/ca
    Secure Admin Port = https://qe-blade-11.idm.lab.bos.redhat.com:9445/ca/services
    PKI Console Port  = pkiconsole https://qe-blade-11.idm.lab.bos.redhat.com:9445/ca
    Tomcat Port       = 9701 (for shutdown)


    Security Domain URL:
    ==========================================================================
    https://qe-blade-11.idm.lab.bos.redhat.com:9445


[root@qe-blade-11 jgalipea]# /sbin/service pki-ra restart
Stopping pki-ra: ..                                        [  OK  ]
Starting pki-ra: .                                         [  OK  ]

pki-ra (pid 14163) is running ...

    Unsecure Port              = http://qe-blade-11.idm.lab.bos.redhat.com:12888
    Secure Clientauth Port     = https://qe-blade-11.idm.lab.bos.redhat.com:12889
    Secure Non-Clientauth Port = https://qe-blade-11.idm.lab.bos.redhat.com:12890


[root@qe-blade-11 jgalipea]# /sbin/service pki-kra restart
Stopping pki-kra: ..                                       [  OK  ]
Starting pki-kra:                                          [  OK  ]

pki-kra (pid 15816) is running ...

    Unsecure Port     = http://qe-blade-11.idm.lab.bos.redhat.com:10180/kra/ee/kra
    Secure Agent Port = https://qe-blade-11.idm.lab.bos.redhat.com:10443/kra/agent/kra
    Secure EE Port    = https://qe-blade-11.idm.lab.bos.redhat.com:10444/kra/ee/kra
    Secure Admin Port = https://qe-blade-11.idm.lab.bos.redhat.com:10445/kra/services
    PKI Console Port  = pkiconsole https://qe-blade-11.idm.lab.bos.redhat.com:10445/kra
    Tomcat Port       = 10701 (for shutdown)

[root@qe-blade-11 jgalipea]# /sbin/service pki-tks restart
Stopping pki-tks: ..                                       [  OK  ]
Starting pki-tks:                                          [  OK  ]

pki-tks (pid 17142) is running ...

    Unsecure Port     = http://qe-blade-11.idm.lab.bos.redhat.com:13180/tks/ee/tks
    Secure Agent Port = https://qe-blade-11.idm.lab.bos.redhat.com:13443/tks/agent/tks
    Secure EE Port    = https://qe-blade-11.idm.lab.bos.redhat.com:13444/tks/ee/tks
    Secure Admin Port = https://qe-blade-11.idm.lab.bos.redhat.com:13445/tks/services
    PKI Console Port  = pkiconsole https://qe-blade-11.idm.lab.bos.redhat.com:13445/tks
    Tomcat Port       = 13701 (for shutdown)

[root@qe-blade-11 jgalipea]# /sbin/service pki-tps restart
Stopping pki-tps: ...........                              [  OK  ]
Starting pki-tps: .                                        [  OK  ]

pki-tps (pid 19271) is running ...

    Unsecure Port              = http://qe-blade-11.idm.lab.bos.redhat.com:7888/cgi-bin/so/enroll.cgi
                                 (ESC Security Officer Enrollment)
    Unsecure Port              = http://qe-blade-11.idm.lab.bos.redhat.com:7888/cgi-bin/home/index.cgi
                                 (ESC Phone Home)
    Secure Clientauth Port     = https://qe-blade-11.idm.lab.bos.redhat.com:7889/cgi-bin/sow/welcome.cgi
                                 (ESC Security Officer Workstation)
    Secure Clientauth Port     = https://qe-blade-11.idm.lab.bos.redhat.com:7889/tus
                                 (TPS Roles - Operator/Administrator/Agent)
    Secure Non-Clientauth Port = https://qe-blade-11.idm.lab.bos.redhat.com:7890/cgi-bin/so/enroll.cgi
                                 (ESC Security Officer Enrollment)
    Secure Non-Clientauth Port = https://qe-blade-11.idm.lab.bos.redhat.com:7890/cgi-bin/home/index.cgi
                                 (ESC Phone Home)
[root@qe-blade-11 jgalipea]# /sbin/service pki-ocsp restart
Stopping pki-ocsp: ..                                      [  OK  ]
Starting pki-ocsp:                                         [  OK  ]

pki-ocsp (pid 20911) is running ...

    Unsecure Port     = http://qe-blade-11.idm.lab.bos.redhat.com:11180/ocsp/ee/ocsp
    Secure Agent Port = https://qe-blade-11.idm.lab.bos.redhat.com:11443/ocsp/agent/ocsp
    Secure EE Port    = https://qe-blade-11.idm.lab.bos.redhat.com:11444/ocsp/ee/ocsp
    Secure Admin Port = https://qe-blade-11.idm.lab.bos.redhat.com:11445/ocsp/services
    PKI Console Port  = pkiconsole https://qe-blade-11.idm.lab.bos.redhat.com:11445/ocsp
    Tomcat Port       = 11701 (for shutdown)

Note You need to log in before you can comment on or make changes to this bug.